Subject: Re: [PATCH net-next v2 3/5] net: filter: get rid of sock_fprog_kern

From: Daniel Borkmann <[email-masked]>
Date: Fri, 25 Apr 2014 09:58:31 +0200

On 04/24/2014 10:02 PM, David Miller wrote:
...
> It's so that we can always have the correct type for the pointers, and
> we can show cleanly (without lots of ugly casts) to sparse that whether
> we expect a pointer to be a user or a kernel one.

Understood, I'll take the time to go the other way around and try to
convert sk_unattached_filter_create() API to use struct sock_fprog_kern
instead as this is only for in-kernel users.